'use strict';

const uniqid = require('uniqid');
const logger = require('komodo-sdk/logger');

module.exports = function common(req, res, next) {
    if (req.url.search('/favicon.ico') === 0) {
        res.sendStatus(404);
        return;
    }

    res.locals.xid = uniqid();
    res.locals.x_http_request_ts = new Date();

    logger.info('Got request from partner', {
        xid: res.locals.xid,
        ip: req.ip,
        method: req.method,
        path: req.path,
        url: req.url,
        qs: req.query,
    });
    next();
};
